Retrieve queries
curl --request GET \
--url https://api.example.com/api/query \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/query"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"card_url": "<string>",
"domain": "<string>",
"domain_urn": "<string>",
"prompt": "<string>",
"query": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ask
Retrieve queries
Retrieves a list of queries.
GET
/
api
/
query
Retrieve queries
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Response
Queries retrieved successfully.
URL of the card associated with this query.
Name of the data domain to which this query belongs.
Unique resource name (URN) identifying the domain.
User-provided prompt or question that generated this query.
The SQL or underlying query generated from the prompt.
Unique ID of the query.
Optional ID of the suggestion used to create this query.
Query creation Timestamp.
Was this page helpful?

